package cz.punga.soutez.ai;

import java.awt.Color;

public enum Jewel {
	RED(1,Color.RED),GREEN(2,Color.GREEN),BLUE(3,Color.BLUE),WHITE(4,Color.WHITE),YELLOW(5,Color.YELLOW),PURPLE(6,Color.MAGENTA);
	final int id;
	final Color c;
	private Jewel(int i, Color c){
		id = i;
		this.c = c;
	}
	public int getId() {
		return id;
	}
	public Color getC() {
		return c;
	}
	public static Jewel getJewelById(int id){
		for(Jewel j : Jewel.values())
			if(j.getId()==id)
				return j;
		return null;
	}
	@Override
	public String toString(){
		return this.name();
	}
}
