package cz.punga.soutez.ai;

import java.util.List;
import java.util.ArrayList;

public class Int2Vector {
	public Int2Vector(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}
	public Int2Vector(Int2Vector iv){
		this.x=iv.getX();
		this.y=iv.getY();
	}
	int x;
	int y;
	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
	}
	public int getY() {
		return y;
	}
	public void setY(int y) {
		this.y = y;
	}
	public boolean isInOrthagonalLineWith(Int2Vector iv){
		return x==iv.getX()||y==iv.getY();
	}
	@Override
	public boolean equals(Object o){
		if(o instanceof Int2Vector){
			Int2Vector iv = (Int2Vector) o;
			return x==iv.getX()&&y==iv.getY();
		} 
		return false;
	}
	public List<Int2Vector> getVectorsBetween(Int2Vector iv){
		ArrayList<Int2Vector> l = new ArrayList<>();
		Int2Vector smaller=new Int2Vector(this);
		Int2Vector larger=new Int2Vector(iv);
		if(this.isInOrthagonalLineWith(iv)){
			if(y>iv.getY()){
				smaller=iv;
				larger=this;
			}
			if(x>iv.getX()){
				smaller=iv;
				larger=this;
			}
			if(x==iv.getX()){
				while(smaller.getY()<=larger.getY()){
					l.add(new Int2Vector(smaller));
					smaller.setY(smaller.getY()+1);
				}
			}else{
				while(smaller.getX()<=larger.getX()){
					l.add(new Int2Vector(smaller));
					smaller.setX(smaller.getX()+1);
				}
			}
		}
		return l;
	}
	@Override
	public String toString() {
		return "Int2Vector [x=" + x + ", y=" + y + "]";
	}
}
