package cz.punga.soutez.user;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JPanel;
import cz.punga.soutez.user.Board;

public class Displayer extends JPanel {
	Board b;
	public static final int EDGE=16;
	Int2Vector iv=null;
	public Displayer(Board b){
		this.b=b;
		this.setPreferredSize(new Dimension(8*EDGE,8*EDGE));
		this.addMouseListener(new CustomMouseListener(this));
	}
	public void setBoard(Board b){
		this.b=b;
	}
	public void setChosen(Int2Vector iv){
		System.out.println(iv);
		if(this.iv==null){
			this.iv=iv;
		}else{
			Board v = b.switchJewels(this.iv, iv);
			if(v.getUniqueAvailableSleds().size()>0){
				v.clearSleds();
				b=v.clearDropAndFill();
			}
			this.iv=null;
		}
	}
	@Override
	public void paintComponent(Graphics g){
		Jewel[][] f = b.getBoard();
		for(int x=0;x<8;x++)
			for(int y=0;y<8;y++){
				g.setColor(f[y][x].getC());
				g.fillRect(x*EDGE, y*EDGE, EDGE, EDGE);
			}
		if(iv!=null){
			g.setColor(Color.RED);
			g.drawRect(iv.getX()*EDGE, iv.getY()*EDGE, EDGE, EDGE);
		}
	}
}
